MystiQ, FFmpeg GUI front-end based on Qt5
=========================================
<p align="center">
<a href="https://mystiqapp.com">
      <img src="https://img.shields.io/maintenance/yes/2020" alt="Maintenance" />
</a>
<a href="https://aur.archlinux.org/packages/mystiq/">
      <img src="https://img.shields.io/aur/votes/MystiQ?label=AUR%20votes" alt="AUR Votes" />
</a>      
<a href="https://mystiqapp.com">
      <img src="https://img.shields.io/website?down_color=%237293c0&down_message=Offline&label=website&up_color=%23545e7c&up_message=online&url=https%3A%2F%2Fmystiqapp.com" alt="MystiQ Website" />
</a>      
<a href="https://gitter.im/swl-x-MystiQ/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge">
      <img src="https://badges.gitter.im/swl-x-MystiQ/community.svg" alt="Gitter Chat" />
</a>
<a href="https://github.com/swl-x/MystiQ/blob/master/LICENSE">
      <img src="https://img.shields.io/github/license/swl-x/MystiQ.svg" alt="License" />
</a>
<a href="https://github.com/swl-x/MystiQ/archive/master.zip">
      <img src="https://img.shields.io/github/repo-size/swl-x/MystiQ" alt="Repo Size" />
</a>      
<a href="https://github.com/swl-x/MystiQ/graphs/contributors" alt="Contributors">
        <img src="https://img.shields.io/github/contributors/swl-x/MystiQ" />
</a> 
<a href="https://github.com/swl-x/MystiQ/" alt="Programming Languages">
        <img src="https://img.shields.io/github/languages/count/swl-x/MystiQ?label=programming%20languages" />
</a>       
<a href="https://github.com/swl-x/MystiQ/graphs/commit-activity">
      <img src="https://img.shields.io/github/last-commit/swl-x/MystiQ" alt="Last Commit" />
</a>  
<a href="https://travis-ci.org/github/swl-x/MystiQ">
      <img src="https://img.shields.io/travis/swl-x/MystiQ?label=travis%20build" alt="Travis Build" />
</a>        
<a href="https://github.com/swl-x/MystiQ/releases">
      <img src="https://img.shields.io/github/release-date/swl-x/MystiQ" alt="Last Release Date" />
</a>      
<a href="https://github.com/swl-x/MystiQ/releases">
      <img src="https://img.shields.io/github/v/release/swl-x/MystiQ.svg" alt="Release" />
</a>
<a href="https://github.com/swl-x/MystiQ/releases">
      <img src="https://img.shields.io/github/downloads/swl-x/MystiQ/total.svg?color=%237293c0" alt="Total Downloads" />
</a>   
</p>  
<p align="center">
<a href="https://liberapay.com/MystiQ">
      <img src="https://img.shields.io/liberapay/gives/MystiQ?label=liberapay%20support" alt="Liberapay Support" />
</a>
<a href="https://opencollective.com/mystiq">
      <img src="https://img.shields.io/opencollective/all/MystiQ?color=%2373a4f0" alt="Open Collective Support" />
</a>  
</p>
<p align="center"> 
<a href="https://github.com/swl-x/MystiQ/stargazers">
        <img alt="GitHub stars" src="https://img.shields.io/github/stars/swl-x/MystiQ?style=social"> 
</a>  
<a href="https://twitter.com/intent/follow?screen_name=swl_swlx">
        <img src="https://img.shields.io/twitter/follow/swl_swlx?style=social&logo=twitter"
            alt="follow on Twitter">
</a>      
</p>

Introduction
------------

MystiQ is a GUI for [FFmpeg](http://ffmpeg.org), a powerful media converter.
FFmpeg can read audio and video files in various formats and convert them into
other formats. MystiQ features an intuitive graphical interface and a rich set
of presets to help you convert media files within a few clicks. Advanced users
can also adjust conversion parameters in detail.

![MystiQ Video Converter](http://mystiqapp.com/mystiq.png)

For compiling and installing MystiQ, please refer to [INSTALL](INSTALL).

If you want to contribute in any way with the project, see the file [CONTRIBUTING.md](CONTRIBUTING.md).

License
-------

Copyright (C) 2020 Maikel Llamaret Heredia <llamaret@webmisolutions.com>

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.

Acknowledgements
----------------

This program uses Qt, you can find more information about Qt5 on
[its website](http://qt-project.org/).

This program relies on [FFmpeg](ffmpeg.org) to do conversion.
License: LGPL/GPL

Some audio-processing functionalities depends on
[SoX](http://sox.sourceforge.net),
the Swiss Army knife of sound processing programs.
License: LGPL/GPL

Other free software projects that influenced the development of MystiQ:
 - [Videomorph](https://videomorph.webmisolutions.com/)
 - [Qwinff](http://qwinff.github.io)
 - [Curlew](http://sourceforge.net/projects/curlew)
 - [Ciano](https://robertsanseries.github.io/ciano/)
 - [FFMulticonverter](https://sites.google.com/site/ffmulticonverter/)
 - [HandBrake](https://handbrake.fr)

MystiQ Video Converter is a product of the effort of the [SWL-X Project community](https://swlx.info). We have also received help from the [KaOS Linux project community](https://gitter.im/KaOSx/KaOS/), especially the support of its leader @Demm.

Valid to thank the [Rosa Linux project](http://www.rosalab.com), its leaders and the community of this distribution on [Telegram](https://t.me/rosalinux).

It is appropriate to mention the [Transifex platform](https://www.transifex.com/swl-x-project/mystiq-video-converter/), thanks to which many volunteers have joined to include language packs for MystiQ Video Converter, which has allowed the application to reach many in more languages.

## Contributors

### Code Contributors

This project exists thanks to all the people who contribute. [[Contribute](CONTRIBUTING.md)].
<a href="https://github.com/swl-x/MystiQ/graphs/contributors"><img src="https://opencollective.com/MystiQ/contributors.svg?width=890&button=false" /></a>

### Financial Contributors

Become a financial contributor and help us sustain our community. [[Contribute](https://opencollective.com/MystiQ/contribute)]

#### Individuals

<a href="https://opencollective.com/MystiQ"><img src="https://opencollective.com/MystiQ/individuals.svg?width=890"></a>

#### Organizations

Support this project with your organization. Your logo will show up here with a link to your website. [[Contribute](https://opencollective.com/MystiQ/contribute)]

<a href="https://opencollective.com/MystiQ/organization/0/website"><img src="https://opencollective.com/MystiQ/organization/0/avatar.svg"></a>
